## MgEntryBoolean

MgEntryBoolean —

## Synopsis

    struct      MgEntryBoolean;
    struct      MgEntryBooleanPrivate;
    guint       mg_entry_boolean_get_type       (void);
    GtkWidget*  mg_entry_boolean_new            (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                                 +----MgEntryBoolean

## Implemented Interfaces

MgEntryBoolean implements MgDataEntry and AtkImplementorIface.

## Description

## Details

### struct MgEntryBoolean

    struct MgEntryBoolean;

### struct MgEntryBooleanPrivate

    struct MgEntryBooleanPrivate;

### mg_entry_boolean_get_type ()

    guint       mg_entry_boolean_get_type       (void);

Returns : |

### mg_entry_boolean_new ()

    GtkWidget*  mg_entry_boolean_new            (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget